Attention!
Get Product Inventory Records
GET
https://{host}/s/-/dw/data/v25_6/inventory_lists/{inventory_list_id}/product_inventory_records
Gets all product inventory records for an inventory list.
This endpoint may return the following faults:
- 404 - InventoryListNotFoundException - Indicates the inventory list does not exist.
Request
curl "https://{host}/s/-/dw/data/v25_6/inventory_lists/{inventory_list_id}/product_inventory_records"Security
URI parameters
inventory_list_id
string
Required
The inventory list ID
Minimum characters:
1
Query parameters
start
integer
Optional start index for retrieving the items from a given index (default 0).
count
integer
Optional count for retrieving only a subset of the items (default is 25).
select
string
The property selector.
Responses
InventoryListNotFoundException - Indicates the inventory list does not exist.
{
"arguments": {},
"cause": {
"cause": "",
"message": "",
"type": ""
},
"display_message_pattern": "",
"message": "",
"stack_trace": "",
"type": ""
}
Body
Media type:
arguments
object
A map that provides fault arguments.
Data can be used to provide error messages on the client side.
cause
object
display_message_pattern
string
The localized display message pattern, if the request parameter display_locale was given
message
string
The message text of the java exception.
stack_trace
string
type
string
The name of the java exception.